#!/bin/bash

echo "[1/4] Clearing old files..."
rm -rf "out/app"

echo "[2/4] Building game..."
jpackage --type app-image \
  --dest "out/app" \
  --name "JGame2D" \
  --input "out/artifacts/JGame2D_jar" \
  --main-jar "JGame2D.jar" \
  --main-class de.miaurizius.jgame2d.core.Boot

echo "[3/4] Copy assets..."
mkdir -p "out/app/JGame2D/assets"
cp -r assets/* "out/app/JGame2D/assets/"

echo "[4/4] Zipping..."
cd out/app
zip -r ../JGame2D.zip JGame2D

cd ../..

echo "Done!"